> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the fields for hosts

> Get the list of fields to query on host



## OpenAPI

````yaml get /v1/fields/hosts/{category}
openapi: 3.0.1
info:
  title: Odin
  description: >-
    ODIN APIs to search across IP Services, CVEs, Exposed Files/Buckets, Domains
    and more
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.odin.io/
security: []
paths:
  /v1/fields/hosts/{category}:
    get:
      tags:
        - Fields
      summary: Get the fields for hosts
      description: Get the list of fields to query on host
      parameters:
        - name: category
          in: path
          description: get the category
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/Field'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '408':
          description: Request Timeout
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Field:
      type: object
      properties:
        category:
          type: string
        display_category:
          type: string
        is_locked:
          type: boolean
          description: requires user subscription upgrade to access
        name:
          type: string
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
        success:
          type: boolean

````